Debian Bug report logs - #667236
lastfm: ftbfs with GCC-4.7

version graph

Package: lastfm; Maintainer for lastfm is John Stamp <jstamp@users.sourceforge.net>; Source for lastfm is src:lastfm.

Reported by: Matthias Klose <doko@debian.org>

Date: Tue, 3 Apr 2012 23:17:22 UTC

Severity: serious

Tags: sid, wheezy

Found in version lastfm/1:1.5.4.27091+dfsg-6

Fixed in version lastfm/1:1.5.4.27091+dfsg1-1

Done: John Stamp <jstamp@users.sourceforge.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to John Stamp <jstamp@users.sourceforge.net>:
Bug#667236; Package lastfm. (Tue, 03 Apr 2012 23:17:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
New Bug report received and forwarded. Copy sent to John Stamp <jstamp@users.sourceforge.net>. (Tue, 03 Apr 2012 23:17:24 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: maintonly@bugs.debian.org
Subject: lastfm: ftbfs with GCC-4.7
Date: Tue, 03 Apr 2012 23:10:06 +0000
Package: lastfm
Version: 1:1.5.4.27091+dfsg-6
Severity: important
Tags: sid wheezy
User: debian-gcc@lists.debian.org
Usertags: ftbfs-gcc-4.7

The package fails to build in a test rebuild on at least amd64 with
gcc-4.7/g++-4.7, but succeeds to build with gcc-4.6/g++-4.6. The
severity of this report may be raised before the wheezy release.

UnicornCommon.cpp:459:5: error: '::usleep' has not been declared

The full build log can be found at:
http://people.debian.org/~lucas/logs/2012/03/29-clang-gcc47/unstable-gcc47/lastfm_1:1.5.4.27091+dfsg-6_unstable-gcc47.log
The last lines of the build log are at the end of this report.

Some hints on fixing these issues can be found at
http://gcc.gnu.org/gcc-4.7/porting_to.html

To build with GCC 4.7, either set CC=gcc-4.7 CXX=g++-4.7 explicitly,
or install the gcc, g++, gfortran, ... packages from experimental.

[...]




Added tag(s) pending. Request was from John Stamp <jstamp@users.sourceforge.net> to control@bugs.debian.org. (Sat, 21 Apr 2012 16:48:07 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Mon, 07 May 2012 16:53:02 GMT) Full text and rfc822 format available.

Reply sent to John Stamp <jstamp@users.sourceforge.net>:
You have taken responsibility. (Tue, 08 May 2012 00:39:04 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Tue, 08 May 2012 00:39:04 GMT) Full text and rfc822 format available.

Message #14 received at 667236-close@bugs.debian.org (full text, mbox):

From: John Stamp <jstamp@users.sourceforge.net>
To: 667236-close@bugs.debian.org
Subject: Bug#667236: fixed in lastfm 1:1.5.4.27091+dfsg1-1
Date: Tue, 08 May 2012 00:34:44 +0000
Source: lastfm
Source-Version: 1:1.5.4.27091+dfsg1-1

We believe that the bug you reported is fixed in the latest version of
lastfm, which is due to be installed in the Debian FTP archive:

lastfm_1.5.4.27091+dfsg1-1.debian.tar.gz
  to main/l/lastfm/lastfm_1.5.4.27091+dfsg1-1.debian.tar.gz
lastfm_1.5.4.27091+dfsg1-1.dsc
  to main/l/lastfm/lastfm_1.5.4.27091+dfsg1-1.dsc
lastfm_1.5.4.27091+dfsg1-1_amd64.deb
  to main/l/lastfm/lastfm_1.5.4.27091+dfsg1-1_amd64.deb
lastfm_1.5.4.27091+dfsg1.orig.tar.gz
  to main/l/lastfm/lastfm_1.5.4.27091+dfsg1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 667236@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
John Stamp <jstamp@users.sourceforge.net> (supplier of updated lastfm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 07 May 2012 17:07:35 -0700
Source: lastfm
Binary: lastfm
Architecture: source amd64
Version: 1:1.5.4.27091+dfsg1-1
Distribution: unstable
Urgency: low
Maintainer: John Stamp <jstamp@users.sourceforge.net>
Changed-By: John Stamp <jstamp@users.sourceforge.net>
Description: 
 lastfm     - music player for Last.fm personalized radio
Closes: 667236
Changes: 
 lastfm (1:1.5.4.27091+dfsg1-1) unstable; urgency=low
 .
   * Remove bundled mpglib
   * Fix compilation with gcc 4.7 (Closes: #667236)
   * Compile with hardened build flags
   * Update debian/copyright
   * Update Standards-Version to 3.9.3
Checksums-Sha1: 
 0dcf95b402080ee4a7e0abcf5ae9a6b690fa2c15 2016 lastfm_1.5.4.27091+dfsg1-1.dsc
 9c7e809ffd73f89a83c123eb9af0ce3cea101eab 1427054 lastfm_1.5.4.27091+dfsg1.orig.tar.gz
 2ceaaf407338f79d1ef0b1cb7a851b54ebe4a7db 71204 lastfm_1.5.4.27091+dfsg1-1.debian.tar.gz
 2d63448c8a40a9e11d6cfc6e95367efd665111d8 1682960 lastfm_1.5.4.27091+dfsg1-1_amd64.deb
Checksums-Sha256: 
 6bdeb22e2c91407fda91c24a2eb924a21483bb42d04123d5e3292b5e6251f755 2016 lastfm_1.5.4.27091+dfsg1-1.dsc
 0449fe33a80db8ef4bad6f7b858839d04bde7a92b695073daf2b7ded7e2ad73f 1427054 lastfm_1.5.4.27091+dfsg1.orig.tar.gz
 8904043ed25f2f5970ae138eeea7c7e7fb2634b04d5ac4416bce051f8cf56b28 71204 lastfm_1.5.4.27091+dfsg1-1.debian.tar.gz
 50ffc86e7273acf5345779c4f2537f159fea83116eb7096f12dbe69f93ba2c8e 1682960 lastfm_1.5.4.27091+dfsg1-1_amd64.deb
Files: 
 deaa7a455710f70a378b1511e5d6ff54 2016 sound optional lastfm_1.5.4.27091+dfsg1-1.dsc
 e3cb2da1596f8f7dcec2ce93a2a624c8 1427054 sound optional lastfm_1.5.4.27091+dfsg1.orig.tar.gz
 ff7b5c400a4c7e74d2ff68541ac33ed4 71204 sound optional lastfm_1.5.4.27091+dfsg1-1.debian.tar.gz
 0c32c69ca05f11742c8944982d336445 1682960 sound optional lastfm_1.5.4.27091+dfsg1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJPqGe6AAoJEBwB9EPJyTxa8ekQAI4OJ9FvdybGDmn3zCxo2hRh
vfiz2U33tQ+wCxxM29qQS9caCXKOPq1LDfDwpSdbjamxDlbtd59/ZNA+tqvbfvdC
HUy5CHdbVKVGhul3DjAM9Nydfp2kDk7az+anbFfwdTA0gWSK9fd6sybkskLX/h2C
cLD2fGi2ZqtfP2lUcB3qZSLI/EM2V2Ec0eJyY8/9yG51trHKZ8cSmrps6BSBPSc5
frctKAbeAPkJ4q1o5SQsQvUHrXSCLiIlgc26bl9psg4i0e0uLrBIg4P/LPnujJMW
7pczfUn6o8tiZZRtDVwYo4RIkG6tmPppNS+DSA1jc1/fAWMfXNKH7afdkjJS38rb
KsRLmrWL93awKph1dE9jIYWcHLgXb3pWoNPCtv9QNHEQVjRFGNXsKxmSfhYW6G2i
msLRAEjllp8cFJ5iozFmtN0Pu17bh6RCE3df0Eoc3TX7xTqDO9Z57jCXWqy0K+Uq
pAerKIq0qAQ3kxm1PleCx53uoKZZW6MKircc2D+RtOimQVJEVLZjyEpG7Ticpd6O
5rvHr1s+aG1VF75J8En/5u0zRDzD+MblCSCaxgJf5HPFcFHW0pP4ZOyCRUaALQL4
mjwzXekQp8N4fQqdUUpkGWMf41MMj7zsaXN9cPx3tApgbzu/Z3l/DH0leqZ9IQKu
plwXl/0DZ033kjstVM9R
=xtnf
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 15 Jun 2012 07:37:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:21:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.